--- title: "getCoinHistoryList" slug: "platform-discount-getcoinhistorylist" updated: 2026-09-17T09:35:51Z published: 2026-09-17T09:35:51Z canonical: "api.ncloud-docs.com/platform-discount-getcoinhistorylist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getCoinHistoryList Available in Classic and VPC View the status and usage history of coins granted to an account. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET, POST | /discount/getCoinHistoryList | ### Request headers For headers common to NAVER Cloud Platform, see [Common Ncloud API headers](/docs/en/common-ncpapi#2%ED%97%A4%EB%8D%94%EC%83%9D%EC%84%B1). ### Request query parameters The following describes the parameters. | Field | Type | Required | Description | | --- | --- | --- | --- | | `pageNo` | Integer | Optional | Page number | | `pageSize` | Integer | Optional | Page size - 1000 or less (default: 1000) | | `discountNoList.N` | List | Optional | Coin number to view - Full coin usage history response if not entered - Check the coin number through the [getDiscountList](/docs/en/platform-discount-getdiscountlist) action | | `isOrganization` | Boolean | Optional | Whether to view consolidated usage for organization service accountsAvailable to masters onlyAn error is returned if both `isOrganization` and `isPartner` are `true` | | `isPartner` | Boolean | Optional | Whether to view partner accounts - Available to partner representatives only - An error is returned if both `isOrganization` and `isPartner` are `true` | | `memberNoList.N` | List | Optional | Member ID list - Only available to master or partner representatives | | `responseFormatType` | String | Optional | Response result format type - `xml` (default) \| `json` | ### Request example The following is a sample request. ``` curl --location --request GET 'https://billingapi.apigw.ntruss.com/billing/v1/discount/getCoinHistoryList' \ --header 'x-ncp-apigw-timestamp: {timestamp}' \ --header 'x-ncp-iam-access-key: {access key}' \ --header 'x-ncp-apigw-signature-v2: {signature}' \ ``` ## Response The following describes the response format. ### Response body See [CoinHistoryList](/docs/en/common-vapidatatype-coinhistorylist) for the response body. ### Response status codes For response status codes common to NAVER Cloud Platform, see [Ncloud API response status codes](/docs/en/common-ncpapi#3-%EC%9D%91%EB%8B%B5-%EC%83%81%ED%83%9C-%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` 103****-****-****-****-****6563ca0b 0 success 2 ****** 54 42 Bank transer (Nonghyup) COIN Common Coin 100000 100000 NOML Normal false 202007 202307 ****** 55 42 Bank transer (Nonghyup) BONUS Bonus Coing 1500 1500 RFNDSS Refund Success false 202007 202107 ```